Bug 708652 - GDM/login screen brightness always set to max
GDM/login screen brightness always set to max
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-28 12:14 EDT by Micha
Modified: 2012-08-07 16:03 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Micha 2011-05-28 12:14:45 EDT
Description of problem:
The screen brightness for the login screen (gdm) is always set to the maximum value.

Version-Release number of selected component (if applicable):
gdm-3.0.0-3.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Start laptop
2. Wait until X kicks in (login screen)
3.
  
Actual results:
Screen brightness set to max.

Expected results:
Screen brightness set to any other value, where ever it can be configured (I guess there is something necessary to configure this). Or method 2 (see below) should be respected.

Additional info:
I already tried several things:

1. using dconf-editor as su/sudo to adjust the brightness_ac value (org->gnome-> power-manager->brightness_ac)
2. adding "xrandr --output LVDS1 --set BACKLIGHT 4" or "echo 4 > /sys/class/backlight/acpi_video0/brightness" to /etc/gdm/Init/Default or /etc/gdm/Init/:0
This actually worked, but the brightness was reset to max the moment the login screen was presented. I added "sleep 3" after the command, as those scripts block the init process, and for those 3 seconds the brightness was set to level 4. But as mentioned, reset to max after 3 seconds when the login screen came up.

My computer is a Lenovo Thinkpad X201t. The max brightness setting is 15, which is way too bright in most cases. The display is a so called SuperBright Outdoor display, suitable for outdoor use in direct sun light. It does not make any difference, whether AC is plugged in or the notebook runs on battery.

The above mentioned method 1 (dconf-editor) works perfectly fine after login, the brightness is set to the specified value.
Comment 1 Máirín Duffy 2011-06-03 11:17:48 EDT
I don't think this is a GDM bug. I think it's a gnome-power-manager bug. Refiling.
Comment 2 Pablo 2011-06-03 12:08:40 EDT
Same problem running on a Dell Inspiron 1525 with gm965 chipset, screen brightness return to max setting in every logout-login, restart or power on the machine.
Comment 3 JP 2011-06-13 08:47:31 EDT
gnome-power-manager reads the brightness settings from:

backlight-enable = /apps/gnome-power-manager/backlight/enable
brightness-dim-battery = /apps/gnome-power-manager/backlight/brightness_dim_battery
brightness-ac = /apps/gnome-power-manager/backlight/brightness_ac

brightness values can be checked via:
gsettings get org.gnome.power-manager brightness-ac

and changed via:
gsettings set org.gnome.power-manager brightness-ac [0.0000 - 1.0000]

This change persists. I no longer have this issue on Gnome3/GDM
Comment 4 Micha 2011-06-13 11:33:14 EDT
@JP: this only helps for the brightness setting after successful login, but not for the actual GDM screen. Or is there another system wide switch, I am missing? I actually posted your suggestions in my original bug report, the only difference is that it uses the new dconf-editor and not the old gsettings/gconf-editor method. In my case, this the brightness-ac is set to 0.25, GDM is shown with brightness 1.00.
Comment 5 Pablo 2011-06-29 10:53:23 EDT
Well, gnome3 need to include the old MAKE DEFAULT or APPLY button back in system setting -> screen adjust for changes to take effect it's better for a non expert user like me, I love Fedora a great great distro.
Comment 6 Richard Hughes 2011-11-15 08:26:16 EST
Hmm, in GNOME3 we don't actually set a default brightness anymore. Could someone talk to the designers in #gnome-design on gimpnet and see what they think? Thanks.
Comment 7 Aaron Lu 2011-12-03 03:43:29 EST
Hi Richard,
Fedora 16 doesn't have this problem, do you know what happened that fixed this problem?
Comment 8 Fedora End Of Life 2012-08-07 16:03:19 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.